﻿// <auto-generated />
using System;
using FrameworkCore.Pkg.Database.Contexts.EshopMsSqlDbContext;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Metadata;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;

#nullable disable

namespace FrameworkCore.Pkg.Database.Contexts.EshopMsSqlDbContext.Migrations
{
    [DbContext(typeof(EshopMsSqlDbContext))]
    [Migration("20230131094033_AddGoogleAccountColumn")]
    partial class AddGoogleAccountColumn
    {
        /// <inheritdoc />
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.2")
                .HasAnnotation("Relational:MaxIdentifierLength", 128);

            SqlServerModelBuilderExtensions.UseIdentityColumns(modelBuilder);

            modelBuilder.Entity("FrameworkCore.Domains.User.Infrastructure.Persistence.TableModels.AppUser", b =>
                {
                    b.Property<string>("Id")
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("id");

                    b.Property<long>("CreatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("created_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.Property<long?>("DeletedAt")
                        .HasColumnType("bigint")
                        .HasColumnName("deleted_at");

                    b.Property<string>("Email")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("email")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("FullName")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasMaxLength(255)
                        .IsUnicode(false)
                        .HasColumnType("varchar(255)")
                        .HasColumnName("full_name")
                        .HasDefaultValueSql("('')");

                    b.Property<string>("Password")
                        .IsRequired()
                        .HasColumnType("text")
                        .HasColumnName("password");

                    b.Property<long>("UpdatedAt")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("bigint")
                        .HasColumnName("updated_at")
                        .HasDefaultValueSql("(datediff_big(millisecond,'1970-01-01 00:00:00.000',sysutcdatetime()))");

                    b.HasKey("Id")
                        .HasName("PK__app_user__3213E83FEFC3F5E9");

                    b.HasIndex(new[] { "Email" }, "app_user_email_idx");

                    b.HasIndex(new[] { "FullName" }, "app_user_full_name_idx");

                    b.ToTable("app_user");
                });
#pragma warning restore 612, 618
        }
    }
}
